#ifndef __XAUDIO_H__
#define __XAUDIO_H__

#include <xaudio2.h>

#define XAD_SAFE_RELEASE( p ) { if( p ){ (p)->Release(); (p) = NULL; } }

class XAudio{
public:
	~XAudio(){};
	static XAudio& GetInstance();
	static bool Release();
	IXAudio2* GetXAudio2(){ return pXAudio2; };
	
protected:
	XAudio(){}; // VOg

private:
	static int ReferenceCounter;
	static IXAudio2* pXAudio2;
	static IXAudio2MasteringVoice* pMasteringVoice;
};

#endif //__XAUDIO_H__
