#include "XAudioWave.h"
#include <math.h>

#define EPSILON 0.0000001

extern double Power[];
extern double UnitFreq;

// FFTR[h͂炩
// http://www.kurims.kyoto-u.ac.jp/~ooura/fft-j.html

int main()
{
	// WaveĐ
	XAudioWave* pXAudioWave = new XAudioWave();

	pXAudioWave->Load( "sin.wav" );
	pXAudioWave->Play( -1 );

	const int Width = (int)( 1500.0 / UnitFreq );

	while( 1 ){
		for( int j = 0; j < 8; ++j ){
			double p = 0;
			for( int i = 0; i < Width; ++i ){
				p += Power[j * Width + i];
			}
			p /= 128;

			double a = p / pow( 2.0, 16 - 1 );
			if( a < EPSILON ) a = EPSILON;
			printf( "%.1f	", log10( a ) * 20 );
		}
		printf( "\r" );

		Sleep( 100 );
	}

	pXAudioWave->Stop();

	delete pXAudioWave;

	XAudio::Release();

	return 0;
}
